
@mixin logo {
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 40px;
    line-height: 48px;
}

@mixin primary-button {
    width: 170px;
    height: 48px;
    color: $button-color;
    border-radius: 24px;
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 700;
    font-size: 18px;
    line-height: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    cursor: pointer;
    padding-top: 6px;
    padding-bottom: 9px;
    &:hover {
        box-shadow: 3px 3px 10px gray;
    }
    &:active {
        box-shadow: inset 1px 1px 10px black;
    }
}

/*-------------------*/

@mixin label-span {
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 18px;
    line-height: 32px;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: $span-col;
}



@mixin primary-title {
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 72px;
    line-height: 80px;
    color: $primary-col;
    margin: 0;
    padding: 0;
}
@mixin title {
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 56px;
    line-height: 64px;
    color: $primary-col;
    margin: 0;
    padding: 0;
}



@mixin text-normal {
    font-family: $palanquin-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    color: $primary-col;
}
@mixin text-low-visible {
    font-family: $palanquin-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 16px;
    line-height: 32px;
    color: rgba(51, 51, 51, 0.501557);
}

@mixin accordion {
    display: flex;
    flex-direction: column;
    width: 570px;
    min-height: 112px;
    background-color: #fff;
    color: $primary-col;
    padding-left: 48px;
    padding-right: 48px;
    text-align: left;
    border: none;
    cursor: pointer;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.101081);
    border-radius: 16px;
   
    &:hover, &:active, &:focus {
        background-color: $button-2-bgc;
        color: $button-color;
    }
}

@mixin accordion-label {
    font-family: $palanquin-dark-ff;
    font-style: $normal-fs;
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
}
@mixin form-style {
    background: #FFFFFF;
    border: 1px solid #DADADA;
    border-radius: 5px;
}